package others_request

import (
	"private-go-sdk/http"
	"encoding/json"
	"private-go-sdk/model/common"
)

type CustomConfigQueryRequest struct {
	CustomParamSelectRequest *common.CustomParamSelectRequest `json:"customParamSelectRequest,omitempty"`
	Department *common.DepartmentRequest `json:"department,omitempty"`
}
func (obj CustomConfigQueryRequest) GetUrl() string {
    return "/custom/config/query"
}

func (obj CustomConfigQueryRequest) GetHttpParameter() *http.HttpParameter {
    parameter := http.NewPostHttpParameter()
    jsonBytes, _ := json.Marshal(obj)
    parameter.SetJsonParamer(string(jsonBytes))
    return parameter
}
